"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _getCommand = _interopRequireDefault(require("./get-command"));

var _execEcho = _interopRequireDefault(require("../utility/exec-echo"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore file */
// TODO: temporarily ignore file for coverage
const executeLocal = async (options, scripts, variables) => {
  const {
    sqlcmd,
    args,
    vars
  } = (0, _getCommand.default)(options, scripts, variables);

  if (sqlcmd.indexOf('\\') >= 0) {
    // windows -- var directly
    return await (0, _execEcho.default)(options.echo, sqlcmd, ...vars, ...args);
  } else {
    // linux - sqlcmd uses environment variables
    const originalEnv = { ...process.env
    };
    process.env = { ...process.env,
      ...variables
    };
    var result = await (0, _execEcho.default)(options.echo, sqlcmd, ...args);
    process.env = originalEnv;
    return result;
  }

  var result = await (0, _execEcho.default)(options.echo, sqlcmd, ...vars, ...args);
  return result;
};

var _default = executeLocal;
exports.default = _default;