"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _dockerCliJs = require("docker-cli-js");

var _errors = require("../errors");

/* istanbul ignore file */
// ignoring difficult to test simple file
const handleDockerCommandError = error => {
  // error is raw string
  if (typeof error === 'string') {
    // missing docker, in linux
    if (error.indexOf('docker: not found') >= 0) {
      throw _errors.DOCKER_NOT_FOUND_ERROR;
    } // missing docker in windows


    if (error.indexOf('docker_engine: The system cannot find the file specified') >= 0) {
      throw _errors.DOCKER_NOT_FOUND_ERROR;
    }
  } // rethrow if not an expected docker not found error case


  throw error;
}; // default instance only


let _docker;

var _default = command => {
  _docker = _docker || new _dockerCliJs.Docker();
  return _docker.command(command).catch(handleDockerCommandError);
};

exports.default = _default;